if test -f $1/src/dosbox-org.cpp; then
# link
cd $1/src/
g++  -O2    -o dosbox dosbox.o ldarsusb2.o cpu/libcpu.a debug/libdebug.a dos/libdos.a fpu/libfpu.a  hardware/libhardware.a gui/libgui.a ints/libints.a misc/libmisc.a shell/libshell.a hardware/serialport/libserial.a libs/gui_tk/libgui_tk.a -L/usr/local/lib -lSDLmain -lSDL -Wl,-framework,Cocoa -framework OpenGL -framework CoreMIDI -framework AudioUnit -framework AudioToolbox -s
else
if test -f $1/src/dosbox.cpp; then
echo "!!! One time only - saving the original 'dosbox' files; *** run this script again to build custom dosbox"
# rename original files
cp $1/src/dosbox.cpp $1/src/dosbox-org.cpp
cp $1/src/gui/sdlmain.cpp $1/src/gui/sdlmain-org.cpp
cp $1/src/hardware/iohandler.cpp $1/src/hardware/iohandler-org.cpp
cp $1/src/hardware/memory.cpp $1/src/hardware/memory-org.cpp
# copy modified files
cd src
cp arsusb2.h $1/include/
cp dosbox.cpp $1/src/
cp sdlmain.cpp $1/src/gui/
cp iohandler.cpp $1/src/hardware/
cp memory.cpp $1/src/hardware/
# copy obj
	cp ldarsusb2.o-mac-os-x ldarsusb2.o
cp ldarsusb2.o $1/src/
cd ..
else
echo "!!! unable to find 'dosbox' files; run this script as -> $./mk-mac.bat [dosbox source folder path]"
fi
fi
