//---------------------------------------ARSUSB2.h------------------------------------------------------
//						Header file for ISA/PCMCIA to USB API 2.0 (ARSUSB2.dll)
//						Environment: User mode
//						Copyright (C) ARS Technologies, 2000-2006. All rights reserved  
//						Version 2.0.x
//---------------------------------------------------------------------------------------------


// main switch for building - linix or windows builds
#define		LINUX


#include <stdio.h>			
#include <string.h>

#ifdef	LINUX
#include <dlfcn.h>			// linux
#define BYTE	unsigned char
#define WORD	unsigned short
#define DWORD	unsigned long
#define UCHAR 	unsigned char	
#define USHORT 	unsigned short
#define ULONG 	unsigned int

#define BOOL	int
#define FALSE	0
#define TRUE	1
//#define NULL	0
#else
#include <windows.h>		// windows
#endif







typedef WORD (*in16T)(WORD Port);
typedef BYTE (*in8T)(WORD Port);
typedef void (*out16T)(WORD Port, WORD	data);
typedef void (*out8T)(WORD Port, BYTE	data);
typedef WORD (*rd16T)(DWORD phadr);
typedef BYTE (*rd8T)(DWORD phadr);
typedef void (*wr16T)(DWORD phadr, WORD	data);
typedef void (*wr8T)(DWORD phadr, BYTE	data);



extern in16T in16;
extern in8T in8;
extern out16T out16;
extern out8T out8;
extern rd16T rd16;
extern rd8T rd8;
extern wr16T wr16;
extern wr8T wr8;

void ArsPoll();



